# CycleCounts

cycleCounts

## GET /cycleCounts

> list InventoryCountImportView

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImportView":{"title":"Inventory Count Import View","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImportView"},"statusDescription":{"type":"string"},"facilityName":{"type":"string"},"closedDate":{"type":"string","format":"date-time"},"inventoryCountImportId":{"type":"string"},"countImportName":{"type":"string"},"countTypeEnumId":{"type":"string"},"uploadedByUserLogin":{"type":"string"},"facilityId":{"type":"string"},"parentCountId":{"type":"string"},"statusId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"dueDate":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts":{"get":{"tags":["cycleCounts"],"summary":"list InventoryCountImportView","description":null,"parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"statusDescription","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"facilityName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"closedDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"inventoryCountImportId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"countImportName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"countTypeEnumId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"uploadedByUserLogin","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"facilityId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"parentCountId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"statusId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"dueDate","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportView"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /cycleCounts

> create InventoryCountImport

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImport.PK":{"title":"Inventory Count Import","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImport.PK"},"inventoryCountImportId":{"type":"string"}}},"co.hotwax.warehouse.InventoryCountImport":{"title":"Inventory Count Import","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImport"},"inventoryCountImportId":{"type":"string"},"countImportName":{"type":"string"},"countTypeEnumId":{"type":"string"},"uploadedByUserLogin":{"type":"string"},"facilityId":{"type":"string"},"parentCountId":{"type":"string"},"statusId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"dueDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts":{"post":{"tags":["cycleCounts"],"summary":"create InventoryCountImport","description":null,"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImport.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImport"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImport"}}},"required":false}}}}}
```

## GET /cycleCounts/{inventoryCountImportId}

> one InventoryCountImportView

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImportView":{"title":"Inventory Count Import View","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImportView"},"statusDescription":{"type":"string"},"facilityName":{"type":"string"},"closedDate":{"type":"string","format":"date-time"},"inventoryCountImportId":{"type":"string"},"countImportName":{"type":"string"},"countTypeEnumId":{"type":"string"},"uploadedByUserLogin":{"type":"string"},"facilityId":{"type":"string"},"parentCountId":{"type":"string"},"statusId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"dueDate":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/{inventoryCountImportId}":{"get":{"tags":["cycleCounts"],"summary":"one InventoryCountImportView","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportView"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## PUT /cycleCounts/{inventoryCountImportId}

> update InventoryCountImport

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImport.PK":{"title":"Inventory Count Import","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImport.PK"},"inventoryCountImportId":{"type":"string"}}},"co.hotwax.warehouse.InventoryCountImport":{"title":"Inventory Count Import","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImport"},"inventoryCountImportId":{"type":"string"},"countImportName":{"type":"string"},"countTypeEnumId":{"type":"string"},"uploadedByUserLogin":{"type":"string"},"facilityId":{"type":"string"},"parentCountId":{"type":"string"},"statusId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"dueDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/{inventoryCountImportId}":{"put":{"tags":["cycleCounts"],"summary":"update InventoryCountImport","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImport.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImport"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImport"}}},"required":false}}}}}
```

## get InventoryCountImportItemDetails

> Service to get Inventory Count Import Item details.

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.getInventoryCountImportItemDetails.Out":{"type":"object","properties":{"itemList":{"type":"array"}}}}},"paths":{"/cycleCounts/{inventoryCountImportId}/items":{"get":{"tags":["cycleCounts"],"summary":"get InventoryCountImportItemDetails","description":"Service to get Inventory Count Import Item details.","parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null},{"schema":{"type":"string","format":""},"name":"importItemSeqId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"statusId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"computeQOH","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"orderBy","in":"query","required":false,"description":null},{"schema":{"type":"integer","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"The current page index to get the inventory count import items."},{"schema":{"type":"integer","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"The maximum number of inventory count import items to display."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.getInventoryCountImportItemDetails.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /cycleCounts/{inventoryCountImportId}/items/{importItemSeqId}

> one InventoryCountImportItem

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImportItem":{"title":"Inventory Count Import Item","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImportItem"},"inventoryCountImportId":{"type":"string"},"importItemSeqId":{"type":"string"},"locationSeqId":{"type":"string"},"statusId":{"type":"string"},"productId":{"type":"string"},"productIdentifier":{"type":"string"},"quantity":{"type":"number"},"countedByUserLoginId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"createdByUserLoginId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/{inventoryCountImportId}/items/{importItemSeqId}":{"get":{"tags":["cycleCounts"],"summary":"one InventoryCountImportItem","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null},{"schema":{"type":"string"},"name":"importItemSeqId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportItem"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## PUT /cycleCounts/{inventoryCountImportId}/items/{importItemSeqId}

> update InventoryCountImportItem

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImportItem.PK":{"title":"Inventory Count Import Item","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImportItem.PK"},"inventoryCountImportId":{"type":"string"},"importItemSeqId":{"type":"string"}}},"co.hotwax.warehouse.InventoryCountImportItem":{"title":"Inventory Count Import Item","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImportItem"},"inventoryCountImportId":{"type":"string"},"importItemSeqId":{"type":"string"},"locationSeqId":{"type":"string"},"statusId":{"type":"string"},"productId":{"type":"string"},"productIdentifier":{"type":"string"},"quantity":{"type":"number"},"countedByUserLoginId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"createdByUserLoginId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/{inventoryCountImportId}/items/{importItemSeqId}":{"put":{"tags":["cycleCounts"],"summary":"update InventoryCountImportItem","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null},{"schema":{"type":"string"},"name":"importItemSeqId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportItem.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportItem"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportItem"}}},"required":false}}}}}
```

## DELETE /cycleCounts/{inventoryCountImportId}/items/{importItemSeqId}

> delete InventoryCountImportItem

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}}},"paths":{"/cycleCounts/{inventoryCountImportId}/items/{importItemSeqId}":{"delete":{"tags":["cycleCounts"],"summary":"delete InventoryCountImportItem","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null},{"schema":{"type":"string"},"name":"importItemSeqId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /cycleCounts/{inventoryCountImportId}/items/{importItemSeqId}/accept

> accept InventoryCountImportItem

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.acceptInventoryCountImportItem.In":{"type":"object","properties":{"inventoryCountImportId":{"type":"string"},"importItemSeqId":{"type":"string"},"quantity":{"type":"string"},"systemQOH":{"type":"string"},"varianceQty":{"type":"string"},"reason":{"type":"string"},"comments":{"type":"string"}},"required":["inventoryCountImportId","importItemSeqId"]}}},"paths":{"/cycleCounts/{inventoryCountImportId}/items/{importItemSeqId}/accept":{"post":{"tags":["cycleCounts"],"summary":"accept InventoryCountImportItem","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null},{"schema":{"type":"string"},"name":"importItemSeqId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.acceptInventoryCountImportItem.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.acceptInventoryCountImportItem.In"}}},"required":true}}}}}
```

## GET /cycleCounts/{inventoryCountImportId}/items/summary

> list InventoryCountImportItem

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImportItem":{"title":"Inventory Count Import Item","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImportItem"},"inventoryCountImportId":{"type":"string"},"importItemSeqId":{"type":"string"},"locationSeqId":{"type":"string"},"statusId":{"type":"string"},"productId":{"type":"string"},"productIdentifier":{"type":"string"},"quantity":{"type":"number"},"countedByUserLoginId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"createdByUserLoginId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/{inventoryCountImportId}/items/summary":{"get":{"tags":["cycleCounts"],"summary":"list InventoryCountImportItem","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"importItemSeqId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"locationSeqId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"statusId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"productId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"productIdentifier","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"quantity","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"countedByUserLoginId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"createdByUserLoginId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportItem"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /cycleCounts/{inventoryCountImportId}/items/add

> add InventoryCountImportItems

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.addInventoryCountImportItems.Out":{"type":"object","properties":{"itemList":{"type":"array"}}},"co.hotwax.cycleCount.InventoryCountServices.addInventoryCountImportItems.In":{"type":"object","properties":{"inventoryCountImportId":{"type":"string"},"itemList":{"type":"array"}},"required":["inventoryCountImportId"]}}},"paths":{"/cycleCounts/{inventoryCountImportId}/items/add":{"post":{"tags":["cycleCounts"],"summary":"add InventoryCountImportItems","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.addInventoryCountImportItems.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.addInventoryCountImportItems.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.addInventoryCountImportItems.In"}}},"required":true}}}}}
```

## update InventoryCountImportItems

> Service to update Inventory Count Import Item.

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.updateInventoryCountImportItems.In":{"type":"object","properties":{"inventoryCountImportId":{"type":"string"},"itemList":{"type":"array"}},"required":["inventoryCountImportId","itemList"]}}},"paths":{"/cycleCounts/{inventoryCountImportId}/items/update":{"post":{"tags":["cycleCounts"],"summary":"update InventoryCountImportItems","description":"Service to update Inventory Count Import Item.","parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.updateInventoryCountImportItems.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.updateInventoryCountImportItems.In"}}},"required":true}}}}}
```

## recount InventoryCountImportItems

> Service to recount Inventory Count Import Items.

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.recountInventoryCountImportItems.In":{"type":"object","properties":{"inventoryCountImportId":{"type":"string"},"importItemSeqIds":{"type":"array"}},"required":["inventoryCountImportId","importItemSeqIds"]}}},"paths":{"/cycleCounts/{inventoryCountImportId}/items/recount":{"post":{"tags":["cycleCounts"],"summary":"recount InventoryCountImportItems","description":"Service to recount Inventory Count Import Items.","parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.recountInventoryCountImportItems.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.recountInventoryCountImportItems.In"}}},"required":true}}}}}
```

## GET /cycleCounts/{inventoryCountImportId}/items/count

> count InventoryCountImportItem

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImportItem":{"title":"Inventory Count Import Item","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImportItem"},"inventoryCountImportId":{"type":"string"},"importItemSeqId":{"type":"string"},"locationSeqId":{"type":"string"},"statusId":{"type":"string"},"productId":{"type":"string"},"productIdentifier":{"type":"string"},"quantity":{"type":"number"},"countedByUserLoginId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"createdByUserLoginId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/{inventoryCountImportId}/items/count":{"get":{"tags":["cycleCounts"],"summary":"count InventoryCountImportItem","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"number","format":"int64","description":"Count of results"}}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportItem"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportItem"}}},"required":false}}}}}
```

## GET /cycleCounts/{inventoryCountImportId}/stats

> get InventoryCountImport

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.getInventoryCountImport.Out":{"type":"object","properties":{"statusDescription":{"type":"string"},"facilityName":{"type":"string"},"closedDate":{"type":"string","format":"date-time"},"inventoryCountImportId":{"type":"string"},"countImportName":{"type":"string"},"countTypeEnumId":{"type":"string"},"uploadedByUserLogin":{"type":"string"},"facilityId":{"type":"string"},"parentCountId":{"type":"string"},"statusId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"dueDate":{"type":"string","format":"date-time"},"totalItems":{"type":"string"},"itemCounted":{"type":"string"},"rejectedCount":{"type":"string"},"totalVariance":{"type":"string"},"statusHistory":{"type":"string"}}}}},"paths":{"/cycleCounts/{inventoryCountImportId}/stats":{"get":{"tags":["cycleCounts"],"summary":"get InventoryCountImport","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.getInventoryCountImport.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /cycleCounts/rejectedItems

> findOrCreate RejectedItemCycleCount

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.findOrCreateRejectedItemCycleCount.Out":{"type":"object","properties":{"inventoryCountImportItem":{"type":"object"}}},"co.hotwax.cycleCount.InventoryCountServices.findOrCreateRejectedItemCycleCount.In":{"type":"object","properties":{"productId":{"type":"string"},"facilityId":{"type":"string"}},"required":["productId","facilityId"]}}},"paths":{"/cycleCounts/rejectedItems":{"post":{"tags":["cycleCounts"],"summary":"findOrCreate RejectedItemCycleCount","description":null,"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.findOrCreateRejectedItemCycleCount.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.findOrCreateRejectedItemCycleCount.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.findOrCreateRejectedItemCycleCount.In"}}},"required":true}}}}}
```

## create InventoryCountImports

> Service to create Inventory Count Imports

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.createInventoryCountImports.In":{"type":"object","properties":{"inventoryCountImports":{"type":"array"}},"required":["inventoryCountImports"]}}},"paths":{"/cycleCounts/bulk":{"post":{"tags":["cycleCounts"],"summary":"create InventoryCountImports","description":"Service to create Inventory Count Imports","responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.createInventoryCountImports.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.createInventoryCountImports.In"}}},"required":true}}}}}
```

## get InventoryCountImportItemDetails

> Service to get Inventory Count Import Item details.

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.getInventoryCountImportItemDetails.Out":{"type":"object","properties":{"itemList":{"type":"array"}}}}},"paths":{"/cycleCounts/items":{"get":{"tags":["cycleCounts"],"summary":"get InventoryCountImportItemDetails","description":"Service to get Inventory Count Import Item details.","parameters":[{"schema":{"type":"string","format":""},"name":"inventoryCountImportId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"importItemSeqId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"statusId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"computeQOH","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"orderBy","in":"query","required":false,"description":null},{"schema":{"type":"integer","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"The current page index to get the inventory count import items."},{"schema":{"type":"integer","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"The maximum number of inventory count import items to display."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.getInventoryCountImportItemDetails.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /cycleCounts/count

> count InventoryCountImportView

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImportView":{"title":"Inventory Count Import View","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImportView"},"statusDescription":{"type":"string"},"facilityName":{"type":"string"},"closedDate":{"type":"string","format":"date-time"},"inventoryCountImportId":{"type":"string"},"countImportName":{"type":"string"},"countTypeEnumId":{"type":"string"},"uploadedByUserLogin":{"type":"string"},"facilityId":{"type":"string"},"parentCountId":{"type":"string"},"statusId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"dueDate":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/count":{"get":{"tags":["cycleCounts"],"summary":"count InventoryCountImportView","description":null,"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"number","format":"int64","description":"Count of results"}}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportView"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportView"}}},"required":false}}}}}
```

## POST /cycleCounts/stats

> get InventoryCountImportDetails

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.getInventoryCountImportDetails.Out":{"type":"object","properties":{"importStats":{"type":"array"}}},"co.hotwax.cycleCount.InventoryCountServices.getInventoryCountImportDetails.In":{"type":"object","properties":{"inventoryCountImportIds":{"type":"array"}},"required":["inventoryCountImportIds"]}}},"paths":{"/cycleCounts/stats":{"post":{"tags":["cycleCounts"],"summary":"get InventoryCountImportDetails","description":null,"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.getInventoryCountImportDetails.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.getInventoryCountImportDetails.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.getInventoryCountImportDetails.In"}}},"required":true}}}}}
```

## POST /cycleCounts/upload

> upload InventoryCountImports

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.uploadInventoryCountImports.In":{"type":"object","properties":{"uploadedFile":{"type":"string"}},"required":["uploadedFile"]}}},"paths":{"/cycleCounts/upload":{"post":{"tags":["cycleCounts"],"summary":"upload InventoryCountImports","description":null,"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.uploadInventoryCountImports.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.uploadInventoryCountImports.In"}}},"required":true}}}}}
```

## GET /cycleCounts/systemMessages

> list SystemMessage

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"systemMessages":{"title":"System Message","type":"object","properties":{"_entity":{"type":"string","default":"systemMessages"},"systemMessageId":{"type":"string"},"systemMessageTypeId":{"type":"string"},"systemMessageRemoteId":{"type":"string"},"statusId":{"type":"string","enum":["SmsgProduced","SmsgSending","SmsgSent","SmsgReceived","SmsgConsuming","SmsgConsumed","SmsgConfirmed","SmsgRejected","SmsgCancelled","SmsgError"]},"isOutgoing":{"type":"string"},"initDate":{"type":"string","format":"date-time"},"processedDate":{"type":"string","format":"date-time"},"lastAttemptDate":{"type":"string","format":"date-time"},"failCount":{"type":"number","format":"int64"},"parentMessageId":{"type":"string"},"ackMessageId":{"type":"string"},"remoteMessageId":{"type":"string"},"messageText":{"type":"string"},"senderId":{"type":"string"},"receiverId":{"type":"string"},"messageId":{"type":"string"},"messageDate":{"type":"string","format":"date-time"},"docType":{"type":"string"},"docSubType":{"type":"string"},"docControl":{"type":"string"},"docSubControl":{"type":"string"},"docVersion":{"type":"string"},"triggerVisitId":{"type":"string"},"productStoreId":{"type":"string"},"shopId":{"type":"string"},"orderId":{"type":"string"},"consumeSmrId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/systemMessages":{"get":{"tags":["cycleCounts"],"summary":"list SystemMessage","description":null,"parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"systemMessageId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"systemMessageTypeId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"systemMessageRemoteId","in":"query","required":false,"description":"Reference to the SystemMessageRemote record for the remote system\n            this message came from for incoming messages or should be sent to for outgoing messages."},{"schema":{"type":"string","format":""},"name":"statusId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"isOutgoing","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"initDate","in":"query","required":false,"description":"For incoming the received date, for outgoing the produced date"},{"schema":{"type":"string","format":"date-time"},"name":"processedDate","in":"query","required":false,"description":"For incoming the consumed date, for outgoing the sent date"},{"schema":{"type":"string","format":"date-time"},"name":"lastAttemptDate","in":"query","required":false,"description":null},{"schema":{"type":"number","format":"int64"},"name":"failCount","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"parentMessageId","in":"query","required":false,"description":"If a received message is split this is the original message"},{"schema":{"type":"string","format":""},"name":"ackMessageId","in":"query","required":false,"description":"The message received or sent to acknowledge this message"},{"schema":{"type":"string","format":""},"name":"remoteMessageId","in":"query","required":false,"description":"For messages to/from another Moqui system, the\n            systemMessageId on the remote system; may also be used for other system level message IDs (as opposed to\n            messageId which is for the ID in the envelope of the message)"},{"schema":{"type":"string","format":""},"name":"messageText","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"senderId","in":"query","required":false,"description":"ID of the sender (for OAGIS may be broken down into\n            logicalId, component, task, referenceId; for EDI X12 this is ISA06)"},{"schema":{"type":"string","format":""},"name":"receiverId","in":"query","required":false,"description":"ID of the receiver (for OAGIS may also be broken down;\n            for EDI X12 this is ISA08)"},{"schema":{"type":"string","format":""},"name":"messageId","in":"query","required":false,"description":"ID of the message; this may be globally unique (like\n            the OAGIS BODID, a GUID) or only unique relative to the senderId and the receiverId (like EDI X12 ISA13 in\n            the context of ISA06, ISA08), and may only be unique within a certain time period (ID may be reused since in\n            EDI X12 limited to 9 digits)"},{"schema":{"type":"string","format":"date-time"},"name":"messageDate","in":"query","required":false,"description":"Date/time from message (for EDI X12 this is GS04 (date)\n            and GS05 (time))"},{"schema":{"type":"string","format":""},"name":"docType","in":"query","required":false,"description":"For OAGIS the BSR Noun; For X12 GS01 (functional ID code)"},{"schema":{"type":"string","format":""},"name":"docSubType","in":"query","required":false,"description":"For OAGIS the BSR Verb; For X12 ST01 (tx set ID code)"},{"schema":{"type":"string","format":""},"name":"docControl","in":"query","required":false,"description":"Control number of the message when applicable (such as\n            GS06 in EDI X12 messages)"},{"schema":{"type":"string","format":""},"name":"docSubControl","in":"query","required":false,"description":"Sub-Control number of the message when applicable (such as\n            ST02 in EDI X12 messages)"},{"schema":{"type":"string","format":""},"name":"docVersion","in":"query","required":false,"description":"The document version (for OAGIS BSR Revision, for X12\n            GS08 (version/revision))"},{"schema":{"type":"string","format":""},"name":"triggerVisitId","in":"query","required":false,"description":"Active visit when SystemMessage triggered (mainly produced) to track\n            the user who did so; independent of the message transport which could have separate remote system and other Visit-like data."},{"schema":{"type":"string","format":""},"name":"productStoreId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"shopId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"orderId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"consumeSmrId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/systemMessages"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /cycleCounts/systemMessages/{systemMessageId}

> store SystemMessage

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"systemMessages.PK":{"title":"System Message","type":"object","properties":{"_entity":{"type":"string","default":"systemMessages.PK"},"systemMessageId":{"type":"string"}}},"systemMessages":{"title":"System Message","type":"object","properties":{"_entity":{"type":"string","default":"systemMessages"},"systemMessageId":{"type":"string"},"systemMessageTypeId":{"type":"string"},"systemMessageRemoteId":{"type":"string"},"statusId":{"type":"string","enum":["SmsgProduced","SmsgSending","SmsgSent","SmsgReceived","SmsgConsuming","SmsgConsumed","SmsgConfirmed","SmsgRejected","SmsgCancelled","SmsgError"]},"isOutgoing":{"type":"string"},"initDate":{"type":"string","format":"date-time"},"processedDate":{"type":"string","format":"date-time"},"lastAttemptDate":{"type":"string","format":"date-time"},"failCount":{"type":"number","format":"int64"},"parentMessageId":{"type":"string"},"ackMessageId":{"type":"string"},"remoteMessageId":{"type":"string"},"messageText":{"type":"string"},"senderId":{"type":"string"},"receiverId":{"type":"string"},"messageId":{"type":"string"},"messageDate":{"type":"string","format":"date-time"},"docType":{"type":"string"},"docSubType":{"type":"string"},"docControl":{"type":"string"},"docSubControl":{"type":"string"},"docVersion":{"type":"string"},"triggerVisitId":{"type":"string"},"productStoreId":{"type":"string"},"shopId":{"type":"string"},"orderId":{"type":"string"},"consumeSmrId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/systemMessages/{systemMessageId}":{"post":{"tags":["cycleCounts"],"summary":"store SystemMessage","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/systemMessages.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/systemMessages"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/systemMessages"}}},"required":false}}}}}
```

## GET /cycleCounts/systemMessages/{systemMessageId}/downloadFile

> get UploadedCsvFile

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.getUploadedCsvFile.Out":{"type":"object","properties":{"csvData":{"type":"string"}}}}},"paths":{"/cycleCounts/systemMessages/{systemMessageId}/downloadFile":{"get":{"tags":["cycleCounts"],"summary":"get UploadedCsvFile","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.getUploadedCsvFile.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /cycleCounts/systemMessages/{systemMessageId}/errors

> list SystemMessageError

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"moqui.service.message.SystemMessageError":{"title":"System Message Error","type":"object","properties":{"_entity":{"type":"string","default":"moqui.service.message.SystemMessageError"},"systemMessageId":{"type":"string"},"errorDate":{"type":"string","format":"date-time"},"attemptedStatusId":{"type":"string"},"errorText":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/systemMessages/{systemMessageId}/errors":{"get":{"tags":["cycleCounts"],"summary":"list SystemMessageError","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":"date-time"},"name":"errorDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"attemptedStatusId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"errorText","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/moqui.service.message.SystemMessageError"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/inventory-count/cyclecounts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
